package brn.sim.data;

import java.io.Serializable;

import brn.sim.DriverRemote;
import brn.sim.DataManager.DataContribution;

public class PropertiesData implements DataContribution, Serializable {
  private static final long serialVersionUID = 1L;

  private Object properties;
  private String[] path;

  /** ctor for hibernate */
  public PropertiesData() {}

  public PropertiesData(Object properties, String[] path) {
    super();
    this.properties = properties;
    this.path = path;
  }

  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#getPath()
   */
  public String[] getPath() {
    return path;
  }

  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#getType()
   */
  public int getType() {
    return DriverRemote.ITEM_TYPE_PROPERTIES;
  }

  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#setActive(boolean)
   */
  public void setActive(boolean active) {
  }

  /**
   * @return the properties
   */
  public Object getProperties() {
    return properties;
  }
}
